#main-nav, #mobile-menu, .tagline span, #close-btn {
    transition: all 0.4s ease-in-out;
}

.overflow-hidden {
    overflow: hidden;
}

.slogan-line {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
    display: block;
}

.slogan-line.is-animating {
    opacity: 1;
    transform: translateY(0);
}

.slogan-line.text-green-500.is-animating {
    text-shadow: 0 0 15px rgba(34, 197, 94, 0.4);
}

.switch-container {
    display: flex;
    align-items: center;
    gap: 8px;
    user-select: none;
}

.munet-switch {
    position: relative;
    display: inline-block;
    width: 44px;
    height: 22px;
}

.munet-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.munet-slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(115, 115, 115, 0.5);
    transition: .3s;
    border-radius: 22px;
}

.munet-slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    transition: .3s;
    border-radius: 50%;
}

.munet-switch input:checked + .munet-slider {
    background-color: #ffe354;
}

.munet-switch input:checked + .munet-slider:before {
    transform: translateX(22px);
}
